> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable paid feature

> Enable information about the paid feature for a specific client.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cdn_reseller_api.yaml post /cdn/admin/paid_features
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 374b36dbeac8
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Account
    description: Information about CDN product settings in your account.
  - name: CDN service
    description: Information about the current state of CDN service in your account.
  - name: Features
    description: Information about free and paid features available for you account.
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
  - name: Logs uploader
    description: Manage logs uploader configs for reseller accounts.
  - name: Statistics
    description: Statistics CDN usage and paid features usage.
  - name: Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
paths:
  /cdn/admin/paid_features:
    post:
      tags:
        - Features
      summary: Enable paid feature
      description: Enable information about the paid feature for a specific client.
      operationId: enable-paid-feature
      requestBody:
        $ref: '#/components/requestBodies/PaidFeaturesCreate'
      responses:
        '201':
          $ref: '#/components/responses/PaidFeaturesCreated'
        '400':
          $ref: '#/components/responses/FeatureValidationError'
components:
  requestBodies:
    PaidFeaturesCreate:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PaidFeaturesCreate'
          examples:
            default:
              $ref: '#/components/examples/PaidFeaturesCreateRequest'
  responses:
    PaidFeaturesCreated:
      description: Successful.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PaidFeaturesDetail'
          examples:
            default:
              $ref: '#/components/examples/PaidFeaturesDetail'
    FeatureValidationError:
      description: Validation error.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: object
                properties:
                  client_id:
                    type: array
                    items:
                      type: string
                    description: List of errors for specified client ID.
                    example:
                      - Client with id:1 does not exists.
                  feature_id:
                    type: array
                    items:
                      type: string
                    description: List of errors for specified feature ID.
                    example:
                      - Feature with id:1 does not exists.
  schemas:
    PaidFeaturesCreate:
      type: object
      properties:
        client_id:
          allOf:
            - $ref: '#/components/schemas/body_response_client_ID'
        feature_id:
          allOf:
            - $ref: '#/components/schemas/body_response_features_ID'
      required:
        - client_id
        - feature_id
    PaidFeaturesDetail:
      type: object
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/body_response_paid_features_ID'
        client_id:
          allOf:
            - $ref: '#/components/schemas/body_response_client_ID'
        feature:
          allOf:
            - $ref: '#/components/schemas/FeaturesDetail'
        feature_id:
          allOf:
            - $ref: '#/components/schemas/body_response_features_ID'
        create_date:
          allOf:
            - $ref: '#/components/schemas/body_response_paid_features_CreateDate'
    body_response_client_ID:
      type: integer
      description: Client account ID.
    body_response_features_ID:
      type: integer
      description: Feature ID.
    body_response_paid_features_ID:
      type: integer
      description: Internal feature activation ID.
    FeaturesDetail:
      type: object
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/body_response_features_ID'
        name:
          allOf:
            - $ref: '#/components/schemas/body_response_features_Name'
        service:
          type: string
          description: Parameter is **legacy**.
        is_free:
          allOf:
            - $ref: '#/components/schemas/body_response_features_IsFree'
    body_response_paid_features_CreateDate:
      type: string
      format: date-time
      description: >-
        Date and time when the feature was activated (ISO 8601/RFC 3339 format,
        UTC.)
    body_response_features_Name:
      type: string
      description: Feature name.
    body_response_features_IsFree:
      type: boolean
      description: |-
        Defines whether a feature is free or paid.

        Possible values:
        - **true** - Feature is free.
        - **false** - Feature is paid.
  examples:
    PaidFeaturesCreateRequest:
      value:
        client_id: 1
        feature_id: 1
    PaidFeaturesDetail:
      value:
        id: 2
        client_id: 2
        feature:
          id: 1
          name: Example 1
          service: CDN
          is_free: false
        feature_id: 1
        create_date: '2021-01-01T00:00:00.000000Z'
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````